<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>
<?xbl href="bindings.xml"?>
<html><head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>X-Smiles.org</title>

<link href="xsmiles_style.css" type="text/css" rel="stylesheet">
<link href="xsmiles_style.html" type="text/css" rel="stylesheet">
<style type="text/css">
					td.nav, table.nav, tr.nav,td.contentarea {vertical-align: top; border-width:0px;}
				</style><!--NOTE: THIS FILE IS AUTOMATICALLY GENERATED BY XSL, DO NOT EDIT BY HAND. EDIT FEATURES.XML INSTEAD AND RUN 'build.sh sitedoc--></head><body>
<img alt="X-SMILES.ORG" src="xsmiles.gif"><table class="nav">
<tbody><tr class="nav">
<td class="nav" style="vertical-align: top; width: 100pt;">
     <div id="navbar" class="navbar">
     <div>
     <p id="link-xsmiles" class="link">
      <a class="linkmain" href="index.html">X-Smiles</a>
     </p>
     <p id="link-objectives" class="link">
      <a class="linkmain" href="xsmiles_objectives.html">Objectives</a>
     </p>
     <p id="link-contributors" class="link">
      <a class="linkmain"  href="contributors.html">Contributors</a>
     </p>
     <p id="link-screenshots" class="link">
      <a class="linkmain" href="screenshots.html">Screenshots</a>
     </p>
     <p id="link-downloads" class="link">
      <a class="linkmain" href="download.html">Download</a>
     </p>
     <p id="link-documents" class="link">  
      <a class="linkmain">Documents</a>
      <a class="linksub1" href="xsmiles_features.html">Features</a> 
      <a class="linksub1" href="xsmiles_installation.html">Installation</a>
      <a class="linksub1" href="platforms.html">Platforms</a>
      <a class="linksub1" href="xsmiles_faq.html">FAQ</a>
      <a class="linksub1" href="xsmiles_test.html">Testimonials</a>
     </p>
     <p id="link-developers" class="link">
      <a class="linkmain">Developer Area</a>
      <a class="linksub1" href="participate.html">Participating</a>
      <a class="linksub1" href="techspec.html">Technical Spec</a>
      <a class="linksub1" href="xsmiles_compiling.html">How to compile</a>
      <a class="linksub1" href="xsmiles_future.html">Projects</a>
      <a class="linksub1" href="http://www.xsmiles.org/javadoc/index.html">Javadoc</a>
      <a class="linksub1" href="cvs.html">CVS access</a>
      <a class="linksub1" href="xsmiles_smil.html">SMIL package</a>
      <a class="linksub1" href="http://www.xsmiles.org/demo/demos.xhtml">Demos</a>
     </p>
     <p id="link-reading" class="link">
      <a class="linkmain">Reading</a>
      <a class="linksub1" href="presentations.html">Presentations</a>
      <a class="linksub1" href="publications.html">Publications</a>
     </p>
     <p id="link-feedback" class="link">
      <a class="linkmain">Feedback</a>
      <a class="linksub1" href="http://sourceforge.net/bugs/?group_id=18700"> Bugs</a>
      <a class="linksub1" href="xsmiles_lists.html">Mailing lists</a>
     </p>
    </div>
    </div>
</td><td class="contentarea">
<div class="contentarea">
<h1>Installing X-Smiles</h1>
<h2>Software needed</h2>
<ul>
<li>JAVA runtime environment<br> JDK&nbsp; 1.2.2 or later&nbsp; is needed (currently, 1.6 recommended). JDK 1.1.8 works with some restrictions. See the <a href="platforms.html">platforms document</a> for more information.<br>
</li>
<li>OPTIONAL: Java Media Framework 2.1.1 (not necessary if you don't plan to view SMIL documents or RTSP media)</li>
<li>OPTIONAL: Java 3D (not necessary if you don't plan to view X3D documents)</li>
</ul>
<h2>How to install?</h2>
<p>1. Install <b><a href="http://java.sun.com/j2se/">JDK/JRE</a></b> (if not installed already)&nbsp;<br>2. OPTIONAL: Install <b><a href="http://java.sun.com/products/java-media/jmf/index.html">JMF 2.1.1</a></b> (Java Media Framework) (if not installed already, also optional)<br>3. OPTIONAL: Install <b><a href="http://java.sun.com/products/java-media/3D/">Java 3D (1.2.1_04)</a></b> (if not installed already, also optional)<br>4. Reboot your PC (in Windows if any of 1-3 was installed)<br>
<br>Then you have the following options:<br>5a. Extract the <b>XSmiles</b><b>.zip</b> into desired directory, e.g. C:\xsmiles&nbsp; <b>
<br>
</b>5b. Windows users can run the windows installer directly, the installer creates a desktop shortcut and includes an uninstaller<br>
<!--
5c. Use the <a href="http://java.sun.com/products/javawebstart/index.html">Java
Web Start</a> (included in JDK 1.5) and start the X-Smiles Web
Start&nbsp; Version (note that some functionality is disabled in the web start
version)-->
</p>
<p>There are then 2 optional ways of running X-Smiles:</p>
<table border="1" width="100%">
<tr>
<td width="37%">Java 2 (1.2-&gt;-&gt;)</td><td width="63%">Java 1.1</td>
</tr>
<tr>
<td rowspan="2" width="37%">5. Run xsmiles.bat (on windows) or&nbsp; <b></b> 
<pre>java -Djava.endorsed.dirs=lib/endorsed -jar xsmiles.jar</pre>in the installation directory.</td><td width="63%">5. Check the <b>xsmiles11.bat</b> file and edit JMFHOME, XSMILES and JAVAHOME parameters.<br> XSMILES should point to your installation directory.&nbsp;<br> If you installed X-Smiles to other drive than C:, modify xsmiles.bat correspondingly (line: "c:").&nbsp;<br> 
</td>
</tr>
<tr>
<td width="63%">6. Run xsmiles11.bat</td>
</tr>
</table>
<p>7. The browser starts<br>8. Access the demos either from the local
disk (the 'demo' package from the download page or the internet at
http://www.xsmiles.org/demo/demos.xml (Works only with X-Smiles
browser).</p>
<h2 id="extensions">Installing Extensions</h2>
<p>Extension MLFC are "plug-ins", which are NOT included with the main
X-Smiles package. These MLFCs would increase the main X-Smiles
installation package size, which is unnecessary since not everyone
wants to run these MLFCs. Currently, X3D, XML Signature and JXTA are
distributed as Extension MLFCs. To install Extension MLFC, follow these
steps:</p>
<p>1. Install X-Smiles main package (if not installed already)<br>2. <a href="http://www.xsmiles.org/download.html">Download</a> the extension MLFC to the xsmiles/extensions folder in your computer (e.g. <a href="file:///C:/xsmiles/extensions">C:\xsmiles\extensions</a>).<br>3. Start X-Smiles, it will automatically load the extension MLFCs.</p>
<h2>Software included</h2>
<p>These jars are included in the binary release of X-Smiles.&nbsp;</p>
<table width="656">
<col style="width: 48pt;" span="4" width="64">
<tr style="height: 12.75pt;" height="17">
<td height="21" width="122"><b>JAR</b></td><td height="21" width="161"><b>Copyright</b></td><td height="21" width="107"><b>Licence</b></td><td height="21" width="253"><b>website</b></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td style="" height="20" width="122"><font size="2">xsmiles.jar</font></td><td style="" height="20" width="161"><font size="2">TML / HUT</font></td><td height="20" width="107"><font size="2">XSmiles</font></td><td height="20" width="253"><a href="http://www.xsmiles.org/"><font size="2">www.xsmiles.org</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">xalan.jar (2.3.1)</font></td><td height="20" width="161"><font size="2">Apache SW Foundation</font></td><td height="20" width="107"><font size="2">Apache SW</font></td><td height="20" width="253"><a href="http://xml.apache.org/"><font size="2">xml.apache.org</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">xerces.jar (2.3.0)</font></td><td height="20" width="161"><font size="2">Apache SW Foundation</font></td><td height="20" width="107"><font size="2">Apache SW</font></td><td height="20" width="253"><a href="http://xml.apache.org/"><font size="2">xml.apache.org</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">fop.jar (0.20.1)</font></td><td height="20" width="161"><font size="2">Apache SW Foundation</font></td><td height="20" width="107"><font size="2">Apache SW</font></td><td height="20" width="253"><a href="http://xml.apache.org/"><font size="2">xml.apache.org</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">ss_css2.jar (0.9.1)</font></td><td height="20" width="161"><font size="2">Steady State</font></td><td height="20" width="107"><font size="2">GLGPL</font></td><td height="20" width="253"><a href="http://www.steadystate.com/css/"><font size="2">www.steadystate.com/css/</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">svg.jar (march 2002)</font></td><td height="20" width="161"><font size="2">CSIRO</font></td><td height="20" width="107"><font size="2">CSIRO</font></td><td height="20" width="253"><a href="http://sis.cmis.csiro.au/svg/"><font size="2">sis.cmis.csiro.au/svg/</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">JimiProClasses.zip</font></td><td height="20" width="161"><font size="2">SUN</font></td><td height="20" width="107"><font size="2">SUN</font></td><td style="" height="20" width="253"><a href="http://java.sun.com/"><font size="2">java.sun.com</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">sax.jar</font></td><td height="20" width="161"><font size="2">Free</font></td><td height="20" width="107"><font size="2">Free</font></td><td style="" height="20" width="253"><a href="http://www.megginson.com/SAX/index.html"><font size="2">www.megginson.com/SAX/index.html</font></a></td>
</tr>
<tr>
<td height="20" width="122"><font size="2">js.jar</font></td><td height="20" width="161"><font size="2">Mozilla</font></td><td height="20" width="107"><font size="2">MPL</font></td><td style="" height="20" width="253"><a href="http://www.mozilla.org/"><font size="2">www.mozilla.org</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">nekohtml.jar (0.6.8)</font></td><td height="20" width="161"><font size="2">Andy Clark</font></td><td height="20" width="107"><font size="2">Apache type</font></td><td style="" height="20" width="253"><a href="http://www.apache.org/%7Eandyc/neko/doc/html/"><font size="2">www.apache.org/~andyc/neko/doc/html/</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">jorbis.jar / jogg.jar</font></td><td height="20" width="161"><font size="2">JCraft Inc.</font></td><td height="20" width="107"><font size="2">LGPL</font></td><td style="" height="20" width="253"><a href="http://www.jcraft.com/jorbis/"><font size="2">www.jcraft.com/jorbis/</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">xj3d.jar</font></td><td height="20" width="161"><font size="2">Web3D Consortium Source Task Group</font></td><td height="20" width="107"><font size="2">LGPL</font></td><td style="" height="20" width="253"><a href="http://www.web3d.org/TaskGroups/source/xj3d.html"><font size="2">www.web3d.org/TaskGroups/source/xj3d.html</font></a></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="122"><font size="2">metouia.jar</font></td><td height="20" width="161"><font size="2">Metouia Swing L&amp;F</font></td><td height="20" width="107"><font size="2">LGPL</font></td><td style="" height="20" width="253"><font size="2">metouia.sourceforge.net</font></td>
</tr>
</table>
<h2>Additional software</h2>
<p>These jars are <b>not</b> needed normally by the X-Smiles browser,
though some experimental/old features may require them.&nbsp;These may
not be distributed in the binary release of X-Smiles.</p>
<table>
<col style="width: 48pt;" span="4" width="64">
<tr style="height: 12.75pt;" height="17">
<td height="21" width="95"><b>JAR</b></td><td height="21" width="215"><b>Copyright</b></td><td height="21" width="98"><b>Licence</b></td><td height="21" width="58"><b>website</b></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="95"><font size="2">webclient.jar</font></td><td height="20" width="215"><font size="2">Progress software</font></td><td height="20" width="98">
<br>
</td><td style="" height="20" width="122"><font size="2">www.sonicmq.com</font></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="95"><font size="2">jndi.jar</font></td><td height="20" width="215"><font size="2">Progress software</font></td><td height="20" width="98">
<br>
</td><td style="" height="20" width="122"><font size="2">www.sonicmq.com</font></td>
</tr>
<tr>
<td height="20" width="122"><font size="2">fesi.jar</font></td><td height="20" width="161"><font size="2">Jean-Marc Lugrin</font></td><td height="20" width="107"><font size="2">GLGPL</font></td><td style="" height="20" width="253"><font size="2">http://www.home.worldcom.ch/jmlugrin/fesi/</font></td>
</tr>
<tr style="height: 12.75pt;" height="17">
<td height="20" width="95"><font size="2">swingall.jar</font></td><td height="20" width="215"><font size="2">SUN</font></td><td height="20" width="39"><font size="2">SUN</font></td><td style="" height="20" width="272"><font size="2">www.javasoft.com</font></td>
</tr>
</table>
<p>There is also an <b>experimental</b> <b>Voice XML</b> implementation
for X-Smiles. NOTE: this does not work with the current version of
X-Smiles, and installing it will require some knowledge of the system!
(This means that this is targeted to interested developers). <a href="http://www.xsmiles.org/bin/xsmiles_vxml/xsmiles_vxml.tar.gz">Download xsmiles_vxml.tar.gz</a>.</p>
<h2>Platforms</h2>See the <a href="platforms.html">platforms document</a> for more information. <p>For instructions on how to install on restricted platforms, such as Compaq IPAQ + SavaJe, refer to the <a href="configuration2.html">Configurations</a> document.</p>
<p>Please send feedback to <a href="mailto:developers@xsmiles.org">The X-Smiles Developers</a>.&nbsp;</p>
<hr>
		  Copyright (c) 2000-2007 X-Smiles.org et.al.
	</div>
</td>
</tr>
</tbody></table>
</body></html>